package entity

type Product struct {
	ID             string   `bson:"id"`
	Label          string   `bson:"label"`
	ProductContext string   `bson:"product_context"`
	MatchTags      []string `bson:"match_tags,omitempty"`
	CreateAt       int64    `bson:"create_at"`
	UpdateAt       int64    `bson:"update_at"`
}

func (p Product) HasContext() bool {
	return p.Label != "" || p.ProductContext != ""
}
